if not Watcher then return end

if select(2, UnitClass('player')) ~= "ROGUE" then return end

local LBF = LibStub("LibButtonFacade", true)
local L = LibStub("AceLocale-3.0"):GetLocale("Watcher")
local media = LibStub:GetLibrary("LibSharedMedia-3.0");
local C = Watcher.constants
	
Watcher:addicon("Sinister Strike",1752)
Watcher:addicon("Eviscerate",2098)
Watcher:addicon("Slice and Dice",5171)

function Watcher:addClassSpells()
	Watcher:SS()
	Watcher:Eviscerate()
	Watcher:SD()
end
		
function Watcher:SS()
	local def = {}
	local name = "Sinister Strike"
	def.spellName = C[name]
	def.name = C[name]
	def.icon =  C[name.." Icon"]
	def.stockspell = true
Watcher:newSpell(def)  
 end	
	
function Watcher:Eviscerate()
	local def = {}
	local name = "Eviscerate"
	def.spellName = C[name]
	def.name = C[name]
	def.icon =  C[name.." Icon"]
	def.combocost = 3
	def.stockspell = true
Watcher:newSpell(def)  
 end	

function Watcher:SD()
	local def = {}
	local name = "Slice and Dice"
	def.spellName = C[name]
	def.name = C[name]
	def.icon =  C[name.." Icon"]
	def.combocost = 1
	def.caster = true
	def.trackAura = true
	def.debuffs = C[name]
	def.stockspell = true
Watcher:newSpell(def)  
 end	
	
		
Watcher.priorityTable.name["gcd"] = C["Sinsiter Strike"]
Watcher.priorityTable.icon["gcd"] = C["Sinister Strike"]
Watcher.priorityTable.check["gcd"] =  
	function (FrameName, optionnum) 	
		local start, duration = GetSpellCooldown(C["Sinister Strike"])
		if duration > 0 then
			FrameName:SetAlpha(1)
			local timeleft = start + duration - GetTime()
			Watcher:MoveGCD(FrameName, timeleft)
			return
		end
		if start == 0 then
			FrameName:SetAlpha(0)
		end
	end 
