if not Watcher then return end

if select(2, UnitClass('player')) ~= "SHAMAN" then return end

local LBF = LibStub("LibButtonFacade", true)
local L = LibStub("AceLocale-3.0"):GetLocale("Watcher")
local media = LibStub:GetLibrary("LibSharedMedia-3.0");
local C = Watcher.constants

Watcher:addicon("Feral Spirit",51533)
Watcher:addicon("Shamanistic Rage",30823)
Watcher:addicon("Lightning Bolt",403)
Watcher:addicon("Stormstrike",17364)
Watcher:addicon("Flame Shock",8050)
Watcher:addicon("Earth Shock",8042)
Watcher:addicon("Lava Lash",60103)
Watcher:addicon("Fire Nova",1535)
Watcher:addicon("Searing Totem",3599)
Watcher:addicon("Lightning Shield",324)
Watcher:addicon("Maelstrom Weapon",51528)


function Watcher:addClassSpells()
Watcher:FS()
Watcher:SR()
Watcher:LB()
Watcher:SS()
Watcher:FlameShock()
Watcher:EarthShock()
Watcher:ST()
Watcher:LL()
Watcher:LS()
end

function Watcher:FS()
	local def = {}
	local name = "Feral Spirit"
	def.spellName = C[name]
	def.name = C[name]
	def.icon =  C[name.." Icon"]
	def.stockspell = true
Watcher:newSpell(def)  
 end	

function Watcher:SR()
	local def = {}
	local name = "Shamanistic Rage"
	def.spellName = C[name]
	def.name = C[name]
	def.icon =  C[name.." Icon"]
	def.stockspell = true
Watcher:newSpell(def)  
 end	

function Watcher:LB()
	local def = {}
	local name = "Lightning Bolt"
	def.spellName = C[name]
	def.name = C[name]
	def.icon =  C[name.." Icon"]
	def.trackAura = true
	def.isbuff = true
	def.isproc = true
	def.countreq = 5
	def.buffs = C["Maelstrom Weapon"]
	def.stockspell = true
Watcher:newSpell(def)  
 end	
function Watcher:SS()
	local def = {}
	local name = "Stormstrike"
	def.spellName = C[name]
	def.name = C[name]
	def.icon =  C[name.." Icon"]
	def.stockspell = true
Watcher:newSpell(def)  
 end	
function Watcher:FlameShock()
	local def = {}
	local name = "Flame Shock"
	def.spellName = C[name]
	def.name = C[name]
	def.icon =  C[name.." Icon"]
	def.trackAura =  true
	def.debuffs = C[name]
	def.stockspell = true
Watcher:newSpell(def)  
 end	
function Watcher:EarthShock()
	local def = {}
	local name = "Earth Shock"
	def.spellName = C[name]
	def.name = C[name]
	def.icon =  C[name.." Icon"]
	def.trackaura =  true
	def.debuffs = C[name]
	def.stockspell = true
Watcher:newSpell(def)  
 end	
function Watcher:ST()
	local def = {}
	local name = "Searing Totem"
	def.spellName = C[name]
	def.name = C[name]
	def.icon =  C[name.." Icon"]
	def.debuffs = true
	def.noCD = true
	def.stockspell = true
Watcher:newSpell(def)  
 end	
function Watcher:LL()
	local def = {}
	local name = "Lava Lash"
	def.spellName = C[name]
	def.name = C[name]
	def.icon =  C[name.." Icon"]

	def.stockspell = true
Watcher:newSpell(def)  
 end	
function Watcher:LS()
	local def = {}
	local name = "Lightning Shield"
	def.spellName = C[name]
	def.name = C[name]
	def.icon =  C[name.." Icon"]
	def.stockspell = true
Watcher:newSpell(def)  
 end	