if not Watcher then return end

if select(2, UnitClass('player')) ~= "WARRIOR" then return end

local LBF = LibStub("LibButtonFacade", true)
local L = LibStub("AceLocale-3.0"):GetLocale("Watcher")
local media = LibStub:GetLibrary("LibSharedMedia-3.0");
local C = Watcher.constants



	
Watcher:addicon("Hamstring",1715)

Watcher:addicon("Concussion Blow",12809)
Watcher:addicon("Shockwave",46968)
Watcher:addicon("Cleave",845)
Watcher:addicon("Thunderclap",47502)

Watcher:addicon("Whirlwind",1680)
Watcher:addicon("Bloodthirst",23881)
Watcher:addicon("Overpower",7384)

Watcher:addicon("Death Wish",12292)
Watcher:addicon("Bladestorm",46924)

Watcher:addicon("Sunder Armor",7386)
Watcher:addicon("Berserker Rage",18499)
Watcher:addicon("Taste for Blood",56638)
Watcher:addicon("Bloodsurge",46916)
Watcher:addicon("Sudden Death",52437)


Watcher:addicon("Shield Slam",23922)
Watcher:addicon("Revenge",6572)
Watcher:addicon("Devastate",20243)
Watcher:addicon("Rend",772)
Watcher:addicon("Mortal Strike",12294)
Watcher:addicon("Heroic Strike",78)
Watcher:addicon("Execute",5308)
C["Slam"], _, C["Slam Icon"], C["Slam Cost"] = GetSpellInfo(1464)

Watcher:addicon("Raging Blow", 85288)

function Watcher:addClassSpells()
Watcher:SS()
Watcher:Revenge()
Watcher:Rend()
Watcher:HS()
Watcher:Devastate()
Watcher:BR()
Watcher:CB()
Watcher:Shockwave()
Watcher:Bladestorm()
Watcher:DW()
Watcher:MS()
Watcher:HamS()
Watcher:Bloodthirst()
Watcher:WW()
Watcher:Overpower()
Watcher:Slam()
Watcher:SlamI()
Watcher:Execute()
Watcher:SA()
Watcher:Cleave()
Watcher:Direct("Raging Blow")
--Watcher:Thunderclap()
end

function Watcher:SS()
	local def = {}
	local name = "Shield Slam"
	def.spellName = C[name]
	def.name = C[name]
	def.icon =  C[name.." Icon"]
	def.stockspell = true
Watcher:newSpell(def)  
 end	
	
function Watcher:Revenge()
	local def = {}
	local name = "Revenge"
	def.spellName = C[name]
	def.name = C[name]
	def.icon =  C[name.." Icon"]
	def.stockspell = true
Watcher:newSpell(def)  
 end	

function Watcher:Rend()
	local def = {}
	local name = "Rend"
	def.spellName = C[name]
	def.name = C[name]
	def.icon =  C[name.." Icon"]
	def.typedot = true
	def.trackspell = C[name]
	def.stockspell = true
Watcher:newSpell(def)  
 end	

function Watcher:HamS()
	local def = {}
	local name = "Hamstring"
	def.spellName = C[name]
	def.name = C[name]
	def.icon =  C[name.." Icon"]
	def.typedot = true
	def.trackspell = C[name]
	def.stockspell = true
Watcher:newSpell(def)  
 end			

function Watcher:Devastate()
	local def = {}
	local name = "Devastate"
	def.spellName = C[name]
	def.name = C[name]
	def.icon =  C[name.." Icon"]
	def.stockspell = true
Watcher:newSpell(def)  
 end	
	
function Watcher:BR()
	local def = {}
	local name = "Berserker Rage"
	def.spellName = C[name]
	def.name = C[name]
	def.icon =  C[name.." Icon"]
	def.stockspell = true
Watcher:newSpell(def)  
 end	

function Watcher:Thunderclap()
	local def = {}
	local name = "Thunderclap"
	def.spellName = C[name]
	def.name = C[name]
	def.icon =  C[name.." Icon"]
	def.stockspell = true
Watcher:newSpell(def)  
 end	
	
	

function Watcher:CB()
	local def = {}
	local name = "Concussion Blow"
	def.spellName = C[name]
	def.name = C[name]
	def.icon =  C[name.." Icon"]
	def.stockspell = true
Watcher:newSpell(def)  
 end	
	
function Watcher:Shockwave()
	local def = {}
	local name = "Shockwave"
	def.spellName = C[name]
	def.name = C[name]
	def.icon =  C[name.." Icon"]
	def.stockspell = true
Watcher:newSpell(def)  
 end	
	
function Watcher:Bladestorm()
	local def = {}
	local name = "Bladestorm"
	def.spellName = C[name]
	def.name = C[name]
	def.icon =  C[name.." Icon"]
	def.stockspell = true
Watcher:newSpell(def)  
 end	
	
function Watcher:DW()
	local def = {}
	local name = "Death Wish"
	def.spellName = C[name]
	def.name = C[name]
	def.icon =  C[name.." Icon"]
	def.stockspell = true
Watcher:newSpell(def)  
 end	
	
function Watcher:MS()
	local def = {}
	local name = "Mortal Strike"
	def.spellName = C[name]
	def.name = C[name]
	def.icon =  C[name.." Icon"]
	def.stockspell = true
Watcher:newSpell(def)  
 end	

function Watcher:HS()
	local def = {}
	local name = "Heroic Strike"
	def.spellName = C[name]
	def.name = C[name]
	def.icon =  C[name.." Icon"]
	def.powerthresh = 0
	def.stockspell = true
Watcher:newSpell(def)  
 end	
	
function Watcher:Bloodthirst()
	local def = {}
	local name = "Bloodthirst"
	def.spellName = C[name]
	def.name = C[name]
	def.icon =  C[name.." Icon"]
	def.stockspell = true
Watcher:newSpell(def)  
 end	

function Watcher:WW()
	local def = {}
	local name = "Whirlwind"
	def.spellName = C[name]
	def.name = C[name]
	def.icon =  C[name.." Icon"]
	def.stockspell = true
Watcher:newSpell(def)  
 end	
	
function Watcher:Overpower()
	local def = {}
	local name = "Overpower"
	def.spellName = C[name]
	def.name = C[name]
	def.icon =  C[name.." Icon"]
	def.stockspell = true
Watcher:newSpell(def)  
 end	

function Watcher:Slam()
	local def = {}
	local name = "Slam"
	def.spellName = C[name]
	def.name = C[name]
	def.icon =  C[name.." Icon"]
	def.stockspell = true
Watcher:newSpell(def)  
 end	
	
function Watcher:SlamI()
	Watcher:newSpell(Spell:Proc(C["Bloodsurge"], "Slam"))

 end	
	
function Watcher:Execute()
	local def = {}
	local name = "Execute"
	def.spellName = C[name]
	def.name = C[name]
	def.icon =  C[name.." Icon"]
	def.stockspell = true
Watcher:newSpell(def)  
 end	

function Watcher:SA()
	local def = {}
	local name = "Sunder Armor"
	def.spellName = C[name]
	def.name = C[name]
	def.icon =  C[name.." Icon"]
	def.typedot = true
	def.trackspell = C[name]
	def.dotthreshold = 1.5
	def.stockspell = true
Watcher:newSpell(def)  
 end	
	
function Watcher:Cleave()
	local def = {}
	local name = "Cleave"
	def.spellName = C[name]
	def.name = C[name]
	def.icon =  C[name.." Icon"]
	def.stockspell = true
Watcher:newSpell(def)  
 end	
		
		
Watcher.priorityTable.name["gcd"] = "GCD"
Watcher.priorityTable.icon["gcd"] = C["Heroic Strike Icon"]
Watcher.priorityTable.check["gcd"] =  
	function (FrameName, optionnum) 	
		local start, duration = GetSpellCooldown(C["Heroic Strike"])
		if duration == nil  or start == nil then
		duration = 0
		start = 0
		end
		if duration > 0 then
			FrameName:SetAlpha(1)
			local timeleft = start + duration - GetTime()
			Watcher:MoveGCD(FrameName, timeleft)
			return
		end
		if start == 0 then

			FrameName:SetAlpha(0)
		end
	end 
