if not Watcher then return end

if select(2, UnitClass('player')) ~= "DRUID" then return end

local LBF = LibStub("LibButtonFacade", true)
local L = LibStub("AceLocale-3.0"):GetLocale("Watcher")
local media = LibStub:GetLibrary("LibSharedMedia-3.0");
local C = Watcher.constants



Watcher:addicon("Mangle",33876)
Watcher:addicon("Rake",1822)
Watcher:addicon("Rip",1079)
Watcher:addicon("Ferocious Bite",22568)
Watcher:addicon("Moonfire",8921)

Watcher:addicon("Savage Roar",52610)
Watcher:addicon("Claw",1082)
Watcher:addicon("Shred",5221)

Watcher:addicon("Faerie Fire",16857)
function Watcher:addClassSpells()
Watcher:SR()
Watcher:Rake()
Watcher:FF()
Watcher:Rip()
Watcher:Claw()
Watcher:Shred()
Watcher:FB()
Watcher:Mangle()
Watcher:MDOT()
end

function Watcher:SR()
	local def = {}
	local name = "Savage Roar"
	def.spellName = C[name]
	def.name = C[name]
	def.trackAura = C[name]
	def.icon =  C[name.." Icon"]
	
	def.trackAura = true
	def.combocost = 1
	def.stockspell = true
Watcher:newSpell(def)  
 end		

function Watcher:Rake()
	local def = {}
	local name = "Rake"
	def.spellName = C[name]
	def.name = C[name]
	def.trackAura = C[name]
	def.icon =  C[name.." Icon"]
	
	def.trackAura = true
	def.stockspell = true
Watcher:newSpell(def)  
 end	
	
function Watcher:FF()
	local def = {}
	local name = "Faerie Fire"
	def.spellName = C[name]
	def.name = C[name]
	def.trackAura = C[name]
	def.icon =  C[name.." Icon"]
	
	def.trackAura = true
	def.stockspell = true
Watcher:newSpell(def)  
 end	

function Watcher:Rip()
	local def = {}
	local name = "Rip"
	def.spellName = C[name]
	def.name = C[name]
	def.trackAura = C[name]
	def.icon =  C[name.." Icon"]
	
	def.trackAura = true
	def.combocost = 5
	def.stockspell = true
Watcher:newSpell(def)  
 end	
	
function Watcher:Claw()
	local def = {}
	local name = "Claw"
	def.spellName = C[name]
	def.name = C[name]
	def.icon =  C[name.." Icon"]
	def.stockspell = true
Watcher:newSpell(def)  
 end	
		
function Watcher:Shred()
	local def = {}
	local name = "Shred"
	def.spellName = C[name]
	def.name = C[name]
	def.icon =  C[name.." Icon"]
	def.stockspell = true
Watcher:newSpell(def)  
 end	

function Watcher:FB()
	local def = {}
	local name = "Ferocious Bite"
	def.spellName = C[name]
	def.name = C[name]
	def.icon =  C[name.." Icon"]
	def.stockspell = true
	def.combocost = 3
Watcher:newSpell(def)  
 end	
	
function Watcher:Mangle()
	local def = {}
	local name = "Mangle"
	def.spellName = C[name]
	def.name = C[name]
	def.icon =  C[name.." Icon"]
	def.stockspell = true
Watcher:newSpell(def)  
 end	
	
function Watcher:MDOT()
	local def = {}
	local name = "Mangle"
	def.spellName = C[name]
	def.trackAura = true
	def.trackAura = C[name]
	def.name = C[name].." DOT"
	def.icon =  C[name.." Icon"]
	--def.combocost[C[name].."DOT"] = 0
	def.stockspell = true
Watcher:newSpell(def)  
 end	
			
		
Watcher.priorityTable.name["gcd"] = "GCD"
Watcher.priorityTable.icon["gcd"] = C["Moonfire Icon"]
Watcher.priorityTable.check["gcd"] =  
	function (FrameName, optionnum) 	
		local start, duration = GetSpellCooldown(C["Moonfire"])
		if duration > 0 then
			FrameName:SetAlpha(1)
			local timeleft = start + duration - GetTime()
			Watcher:MoveGCD(FrameName, timeleft)
			return
		Watcher:newSpell(def)  
 end
		if start == 0 then
			FrameName:SetAlpha(0)
		Watcher:newSpell(def)  
 end
	Watcher:newSpell(def)  
 end 