if not Watcher then return end

if select(2, UnitClass('player')) ~= "PALADIN" then return end

local LBF = LibStub("LibButtonFacade", true)
local L = LibStub("AceLocale-3.0"):GetLocale("Watcher")
local media = LibStub:GetLibrary("LibSharedMedia-3.0");
local C = Watcher.constants
	
Watcher:addicon("Crusader Strike",35395)
Watcher:addicon("Blessing of Might",19740)
Watcher:addicon("Hammer of Wrath",24275)
Watcher:addicon("Hammer of the Righteous",53595)
Watcher:addicon("Divine Storm",53385)
Watcher:addicon("Judgement",20271)
Watcher:addicon("Holy Wrath",2812)
Watcher:addicon("Avenging Wrath",31884)
Watcher:addicon("Exorcism",879)
Watcher:addicon("Consecration",26573)
Watcher:addicon("Avenger's Shield",31935)
Watcher:addicon("Shield of the Righteous",53600)

function Watcher:addClassSpells()
Watcher:CS()
Watcher:SOR()

Watcher:Consecration()
Watcher:AW()
Watcher:HOW()
Watcher:HOR()
Watcher:Judgement()
Watcher:HW()
Watcher:DS()
Watcher:Ex()
Watcher:ExI()
Watcher:AS()
end
		
function Watcher:CS()
	local def = {}
	local name = "Crusader Strike"
	def.spellName = C[name]
	def.name = C[name]
	def.icon =  C[name.." Icon"]
	def.stockspell = true
Watcher:newSpell(def)  
 end	
	
function Watcher:SOR()
	local def = {}
	local name = "Shield of the Righteous"
	def.spellName = C[name]
	def.name = C[name]
	def.icon =  C[name.." Icon"]
	def.stockspell = true
Watcher:newSpell(def)  
 end	
	
function Watcher:Consecration()
	local def = {}
	local name = "Consecration"
	def.spellName = C[name]
	def.name = C[name]
	def.icon =  C[name.." Icon"]
	def.stockspell = true
Watcher:newSpell(def)  
 end	
		
function Watcher:AW()
	local def = {}
	local name = "Avenging Wrath"
	def.spellName = C[name]
	def.name = C[name]
	def.icon =  C[name.." Icon"]
	def.stockspell = true
Watcher:newSpell(def)  
 end	

function Watcher:HOW()
	local def = {}
	local name = "Hammer of Wrath"
	def.spellName = C[name]
	def.name = C[name]
	def.icon =  C[name.." Icon"]
	def.stockspell = true
Watcher:newSpell(def)  
 end		
	
function Watcher:HOR()
	local def = {}
	local name = "Hammer of the Righteous"
	def.spellName = C[name]
	def.name = C[name]
	def.icon =  C[name.." Icon"]
	def.stockspell = true
Watcher:newSpell(def)  
 end	
	
function Watcher:Judgement()
	local def = {}
	local name = "Judgement"
	def.spellName = C[name]
	def.name = C[name]
	def.icon =  C[name.." Icon"]
	def.stockspell = true
Watcher:newSpell(def)  
 end	
	
function Watcher:HW()
	local def = {}
	local name = "Holy Wrath"
	def.spellName = C[name]
	def.name = C[name]
	def.icon =  C[name.." Icon"]
	def.stockspell = true
Watcher:newSpell(def)  
 end	
		
function Watcher:DS()
	local def = {}
	local name = "Divine Storm"
	def.spellName = C[name]
	def.name = C[name]
	def.icon =  C[name.." Icon"]
	def.stockspell = true
Watcher:newSpell(def)  
 end	
	
function Watcher:Ex()
	local def = {}
	local name = "Exorcism"
	def.spellName = C[name]
	def.name = C[name]
	def.icon =  C[name.." Icon"]
	def.stockspell = true
Watcher:newSpell(def)  
 end	

function Watcher:ExI()
	local def = {}
	local name = "Exorcism"
	def.spellName = C[name]
	def.name = C[name].." Instant"
	def.icon =  C[name.." Icon"]
	def.trackaura =  true
	def.buffs =  "The Art of War"
	def.isproc =  true
	def.isbuff =  true
	def.stockspell = true
Watcher:newSpell(def)  
 end	
		
function Watcher:AS()
	local def = {}
	local name = "Avenger's Shield"
	def.spellName = C[name]
	def.name = C[name]
	def.icon =  C[name.." Icon"]
	def.stockspell = true
Watcher:newSpell(def)  
 end	
		
Watcher.priorityTable.name["gcd"] = "GCD"--C["Blessing of Might"]
Watcher.priorityTable.icon["gcd"] = C["Blessing of Might"]
Watcher.priorityTable.check["gcd"] =  
	function (FrameName, optionnum) 	
		local start, duration = GetSpellCooldown(C["Blessing of Might"])
		if duration > 0 then
			FrameName:SetAlpha(1)
			local timeleft = start + duration - GetTime()
			Watcher:MoveGCD(FrameName, timeleft)
			return
		end
		if start == 0 then
			FrameName:SetAlpha(0)
		end
	end