if not Watcher then return end

if select(2, UnitClass('player')) ~= "PRIEST" then return end

local LBF = LibStub("LibButtonFacade", true)
local L = LibStub("AceLocale-3.0"):GetLocale("Watcher")
local media = LibStub:GetLibrary("LibSharedMedia-3.0");
local C = Watcher.constants

Watcher.addicon("Mind Blast",8092)
Watcher.addicon("Mind Flay",15407)
Watcher.addicon("Vampiric Touch",34914)
Watcher.addicon("Devouring Plague",2944)
Watcher.addicon("Shadow Word: Pain",589)


--FrameName, optionnum, typedot, dotfunction, typeShortDot, shortDotTime, usehealthpc, SpellName, powerthreshold, countreq, dotthreshold, combocost, isproc, findcount
function Watcher:addClassSpells()
Watcher:MindBlast()
Watcher:MindFlay()
Watcher:DevouringPlague()
Watcher:VampiricTouch()
Watcher:SWP()

end

function Watcher:MindBlast()
		local def = {}
	def.spellName = C["Mind Blast"]
	def.name = C["Mind Blast"]
	def.icon =  C["Mind Blast Icon"]
	def.stockspell = true
Watcher:newSpell(def)  
 end

function Watcher:MindFlay()
	local def = {}
	local name = "Mind Flay"
	def.spellName = C[name]
	def.name = C[name]
	def.icon =  C[name.." Icon"]
	def.stockspell = true
Watcher:newSpell(def)  
 end	
function Watcher:DevouringPlague()
	local def = {}
	local name = "Devouring Plague"
	def.spellName = C[name]
	def.name = C[name]
	def.icon =  C[name.." Icon"]
	def.typedot = true
	def.trackspell = C[name]
	def.stockspell = true
Watcher:newSpell(def)  
 end	

function Watcher:VampiricTouch()
	local def = {}
	local name = "Vampiric Touch"
	def.spellName = C[name]
	def.name = C[name]
	def.icon =  C[name.." Icon"]
	def.typedot = true
	def.trackspell = C[name]
	def.stockspell = true
Watcher:newSpell(def)  
 end	

function Watcher:SWP()
	local def = {}
	local name = "Shadow Word: Pain"
	def.spellName = C[name]
	def.name = C[name]
	def.icon =  C[name.." Icon"]
	def.typedot = true
	def.trackspell = C[name]
	def.stockspell = true
Watcher:newSpell(def)  
 end	