if not Watcher then return end

local L = LibStub("AceLocale-3.0"):GetLocale("Watcher")
local media = LibStub:GetLibrary("LibSharedMedia-3.0");
local C = Watcher.constants -- Defined in Watcher LUA no locale needed.



	function Spell:Power(power, powerthreshold, negthreshold)  --- no need to pass arguments so need a rewrite
	if not negthreshold then
	return power >= powerthreshold
	end
	return power <= powerthreshold
	end
	
	function Spell:Health()
	--
	if not self.negHealthThreshold then
		return Watcher.health <= (self.healthThreshold/100)
	end
		return Watcher.health >= (self.healthThreshold/100)
	end
	
	
	function Spell:UpdateSpell(FrameName, optionnum)--, typedot, dotfunction, typeShortDot, shortDotTime, usehealthpc, SpellName, powerthreshold, countreq, dotthreshold, combocost, isproc, findcount, negthreshold, noCD) 
		
		local expiresin
		local Count = 0
		
		local powerthreshold
		powerthreshold = self.powerThreshold/100
	
		local buffproc = true
		local typeaura = false
		
		--- Get Aura Data
		if self.trackAura and self.isproc then
			buffproc, Count = self:getAuraInfo()
		elseif self.trackAura then
			expiresin, Count = self:getAuraInfo()
			if expiresin == true then
				typeaura = true
			end
		else
			expiresin = 0
		end
		
		-- Add internal CD data
		if self.inCD and self.inCD > 0 then
			local inCD = Watcher.dottime[self.name] - GetTime()
			if inCD > expiresin then 
				expiresin = inCD
			end
		end
		
		
		local start, duration = GetSpellCooldown(self.spellName)
		if start == nil then
			start = 0
			duration = 0
		end
		if Watcher:bossmob(optionnum) and not  typeaura and buffproc and ((self:Power(Watcher.power, powerthreshold, self.negPowerThreshold) and self.nocd) or not self.nocd ) and Count >= self.countreq then
			local usable
			if self.spellID ~= nil then
				usable = IsUsableSpell(self.spellID)
			else 
				usable = IsUsableSpell(self.spellName)
			end
			local timeleft = start + duration - GetTime()
			if not self.isproc and not self.noCD and timeleft < expiresin then
				timeleft = expiresin	
			end
			self:EstFocus(optionnum, timeleft)
			
			if self.typedot and timeleft <= self:DotThreshold(k) then 
				timeleft = 0 
			elseif self.typedot then
			timeleft = timeleft - self:DotThreshold(k) 
			end
			
			
			if (UnitCastingInfo("player")) and (select(6, UnitCastingInfo("player"))/1000-GetTime()) > timeleft then
				timeleft = (select(6, UnitCastingInfo("player"))/1000-GetTime())
		
			end
			
			
			if timeleft <= 0 then 
				timeleft = 0
				FrameName.Text:Hide()
				
			elseif Watcher.db.char.priority.textshow then
				FrameName.Text:SetText(Watcher:DurationString(timeleft))
				FrameName.Text:Show()
			end
			
			
			Watcher.timeLeft[optionnum] = timeleft
			Watcher.timeLeft[optionnum+Watcher.db.char.priority.num] = timeleft
			
			if not FrameName.play and timeleft > 1.5 then
				FrameName.play = true
			end
			if timeleft > Watcher.db.char.indices[table.getn(Watcher.db.char.indices)]then
				
				FrameName:SetAlpha(0)
				Watcher.timeLeft[optionnum] = -1
				Watcher.timeLeft[optionnum+Watcher.db.char.priority.num] = -1
				return
			end
			
			if usable == 1 and self:Power(Watcher.power, powerthreshold, self.negthreshold) and self:Health()--[[ and self:EstFocus(optionnum)]] and self:ThreatCheck() and Watcher.combo >= self.combocost then
				if timeleft == 0 then 
					local place = Watcher:findStackPlace(timeleft, optionnum, k)
					if FrameName.play and place == 0 then
						Watcher:Play(FrameName)
						FrameName.play = false
					end
				end
				Watcher.timeLeft[optionnum+Watcher.db.char.priority.num] = -1
				Watcher:MoveIcon(FrameName, timeleft, optionnum)
				
				Watcher:ColorFrame(FrameName)
			else 
				
				Watcher.timeLeft[optionnum] = -1
				Watcher:MoveIcon(FrameName, timeleft, optionnum+Watcher.db.char.priority.num)
				if timeleft == 0 then FrameName.play = true end
				Watcher:ColorUFrame(FrameName)
				
			end
			
			
			return
		end 
		FrameName:SetAlpha(0)
		if Watcher.db.char.showbars then
			FrameName.statusbar:SetAlpha(0)
		end
		Watcher.timeLeft[optionnum] = -1
		Watcher.timeLeft[optionnum+Watcher.db.char.priority.num] = -1
	end
	
	function Watcher:findStackPlace(timeleft, optionnum, k)
		--
		local place = 0
		if self.db.char.stackmoving or timeleft <= 0 and optionnum > 2 then
			for i = 2, optionnum - 1 do
				if Watcher.timeLeft[i] >= 0 then
					if ((timeleft) - Watcher.timeLeft[i]) >= -1.5 and ((timeleft) - Watcher.timeLeft[i]) <=1.50 then
						place = place + 1
					--	self:Print(Watcher.timeLeft[i], i)
					end
				end
			end
		end

	--	self:Print(place, optionnum)
		return place
	end
	
	
	function Watcher:MoveIcon(FrameName, timeleft, optionnum)
		
		local vOffset = self:findStackPlace(timeleft, optionnum, k)
		
		FrameName:SetFrameLevel(self.db.char.priority.num*30- ((optionnum-1)*10))
		--[[if self.db.char.showbars then
			local movingprio = 0
			local movingnum = 0
			for i=2, self.db.char.priority.num do
				if Watcher.timeLeft[i] > 1.5 then movingnum = movingnum + 1 end
			end
			for i=optionnum, self.db.char.priority.num do
				if Watcher.timeLeft[i] > 1.5 then movingprio = movingprio + 1 end
			end
			if timeleft <= 1.5 then
				FrameName.statusbar:SetAlpha(0)
			else
				FrameName.statusbar:SetAlpha(self.db.char.baralpha)
			end
			local offset
			if timeleft <= self.db.char.priority.maxtime then
				offset = timeleft
			else
				offset = self.db.char.priority.maxtime
			end
			FrameName.statusbar:ClearAllPoints()	
			if self.db.char.growdir == "left" or self.db.char.growdir == "right" then
				FrameName.statusbar:SetWidth(offset*Watcher.db.char.priority.IconSize/1.5)
				FrameName.statusbar:SetHeight(Watcher.db.char.priority.IconSize/movingnum)
				FrameName.statusbar:SetPoint("BOTTOMLEFT", self.PriorityFrame, "BOTTOMLEFT", self.db.char.priority.IconSize, self.db.char.priority.IconSize*(movingnum-movingprio)/movingnum)
			else
				FrameName.statusbar:SetWidth(Watcher.db.char.priority.IconSize/movingnum - 1)
				FrameName.statusbar:SetHeight(offset*Watcher.db.char.priority.IconSize/1.5)
				FrameName.statusbar:SetPoint("BOTTOMLEFT", self.PriorityFrame, "BOTTOMLEFT", -self.db.char.priority.IconSize*(movingnum-movingprio)/movingnum, self.db.char.priority.IconSize)
			end
		end]]
		local stackPos = (Watcher.db.char.priority.IconSize * 0.2) * (vOffset)
		local barPos = self:LogPosition(timeleft)
		if self.db.char.growdir == "up" then 
			FrameName:SetPoint("BOTTOMRIGHT", Watcher.PriorityFrame, "BOTTOMRIGHT",  -stackPos , barPos)
		elseif self.db.char.growdir == "down" then 
			FrameName:SetPoint("TOPLEFT", Watcher.PriorityFrame, "TOPLEFT",  -stackPos , -barPos)
		elseif self.db.char.growdir == "right" then 
			FrameName:SetPoint("BOTTOMLEFT", Watcher.PriorityFrame, "BOTTOMLEFT",  barPos , stackPos)
		elseif self.db.char.growdir == "left" then 
			FrameName:SetPoint("BOTTOMRIGHT", Watcher.PriorityFrame, "BOTTOMRIGHT",  -barPos, stackPos)
		end
	end
	
	
	function Watcher:MoveGCD(FrameName, timeleft)
		local stackPos = 0
		local barPos = self:LogPosition(timeleft)
				if self.db.char.growdir == "up" then 
			FrameName:SetPoint("BOTTOMRIGHT", Watcher.PriorityFrame, "BOTTOMRIGHT",  -stackPos , barPos)
		elseif self.db.char.growdir == "down" then 
			FrameName:SetPoint("TOPLEFT", Watcher.PriorityFrame, "TOPLEFT",  -stackPos , -barPos)
		elseif self.db.char.growdir == "right" then 
			FrameName:SetPoint("BOTTOMLEFT", Watcher.PriorityFrame, "BOTTOMLEFT",  barPos , stackPos)
		elseif self.db.char.growdir == "left" then 
			FrameName:SetPoint("BOTTOMRIGHT", Watcher.PriorityFrame, "BOTTOMRIGHT",  -barPos, stackPos)
		end
	end
	
	function Watcher:LogPosition(timeleft)

	if not self.db.char.logtiming then 
		return
	end
	local indices = self.db.char.indices
	local dist = (Watcher.db.char.priority.fWidth)
	for num = table.getn(indices), 2, -1 do 
			
			if timeleft <= indices[num] and timeleft > indices[num-1] then
				
				local t = timeleft - indices[num-1]
				local i = indices[num] - indices[num-1]
			
				local pos = dist*(num-2) + (t/i)*dist
				
				return pos
			end
	end
	return 0
end

function Spell:ThreatCheck()
	if self.threatThreshold then
		if self.negThreatThreshold and (select(3, UnitDetailedThreatSituation("player","target"))<= self.threatThreshold) then
			return true
		end
		if not self.negThreatThreshold and (select(3, UnitDetailedThreatSituation("player","target"))>= self.threatThreshold) then
			return true		
		
		end
		return false
		
	end
	return true
end
	
	
	function Spell:getAuraInfo()
		local next = next
		--
		local auraTimes = {}
		local counts = {}
		
		local auraExists = false
		for k, v in pairs(Watcher.buffs[self.name]) do
			
			local name, _, _, count, _, _, buffexpires = UnitBuff("player", v)
			if name == nil then
				if self.andAuras then
					auraExists = false
				end
			else
			auraExists = true
			end
			if count == nil then
				count = 0
			end 
			if buffexpires then
			--Watcher:Print(buffexpires)
			
			auraTimes[v] = buffexpires - GetTime()
			--Watcher:Print(name, v)
			counts[v] = count
			end
		end
		for k, v in pairs(Watcher.debuffs[self.name]) do
			local name, _, _, count, _, _, buffexpires = UnitDebuff("target", v, nilx,"PLAYER")
			if name == nil then
				if self.andAuras then
					auraExists = false
				end
			else
			auraExists = true
			end
			if count == nil then
				count = 0
			end 
			if buffexpires then
			auraTimes[v] = buffexpires - GetTime()
			
		--	Watcher:Print(name, v, buffexpires)
			counts[v] = count
			end
		end
		
		local key = next(auraTimes)
		local timeleft = auraTimes[key] or 0
		local count = 0
		for k,v in pairs(auraTimes)do
			if self.andAuras then
				if v < timeleft then
					timeleft = v
					count = counts[k]
				end
			else
			
				if v > timeleft then
					timeleft = v
					count = counts[k]
				end
			end
		end
		if self.noCD or self.isproc then
			if auraExists then
				return true, count
			end
			return false, 0
		end
		
		return timeleft, count
	end
	
	--function 
	
	function Spell:BuffInfo(i)
		local index = 1
		--
		if self.isbuff then
			while UnitBuff("PLAYER", index) do
				local name, _, _, count, _, _, buffexpires = UnitBuff("PLAYER", index)
				if name == self.trackspell then
				--	self:Print(name,count)
					if count == nil then 
						count = 0	
					end
					if self.nocd or self.isproc then
						local bool = true
						---self:Print(count)
						return bool, count
					else
						return (buffexpires - GetTime()), count
					end
				end
				index = index + 1
			end
		else
			while UnitDebuff("TARGET", index) do
				local name, _, _, count, _, dur, buffexpires, caster = UnitDebuff("TARGET", index)
				if name == self.trackspell and Spell:Caster(i, caster) then
					if count == nil then 
						count = 0	
					end
					if self.noCD or self.isproc then
						local bool = true
						return bool, count
					else
						return buffexpires - GetTime(), count
					end
				end
				index = index + 1
			end
		end
		if self.nocd or self.isproc then 
			return false,0 
		end
		return 0, 0 
	end
	
	
	
	function Watcher:ColorUFrame(FrameName)
		if self.db.char.icon.hide then FrameName:SetAlpha(0) return end
		if self.db.char.icon.grey then FrameName.texture:SetDesaturated(1) return end
		if FrameName.texture:IsDesaturated() then FrameName.texture:SetDesaturated(nil) end
		FrameName.texture:SetVertexColor(self.db.char.icon.col.r, self.db.char.icon.col.r, self.db.char.icon.col.b, 1)
		FrameName:SetAlpha(self.db.char.icon.col.a)
	end
	
	
	function Watcher:ColorFrame(FrameName)
		FrameName:SetAlpha(1)
		FrameName.texture:SetDesaturated(nil)
		FrameName.texture:SetVertexColor(1,1,1,1)
	end
	
	function Watcher:Play(FrameName)
		FrameName.cdFlash:SetCooldown(0,0)
		--self:Print("Flash")
		FrameName.animGrp:Play()
		
	end
	
	function Watcher:calcAllSpellCosts()
		
		for k,v in pairs(self.Priority) do
			if self.Priority[k].spell.name then
				self.Priority[k].spell:calcCost()
			
			end
			--self:Print(k)
		end
	end
	
	function Spell:DotThreshold(k)
	--
	if self.typedot then
	local castTime
	_, _, _, _, _, _, castTime = GetSpellInfo(self.spellID or self.spellName)
	if castTime then 
		castTime = castTime / 1000
		if castTime < 0 then
			castTime = 0
		end
	else 
		castTime = 0 
	end
	return self.dotthreshold + castTime	
	end
		return self.dotthreshold
	end