if not Watcher then return end

if select(2, UnitClass('player')) ~= "WARLOCK" then return end

local LBF = LibStub("LibButtonFacade", true)
local L = LibStub("AceLocale-3.0"):GetLocale("Watcher")
local media = LibStub:GetLibrary("LibSharedMedia-3.0");
local C = Watcher.constants

-- generic spells
Watcher:addicon("Corruption", 172)
Watcher:addicon("Curse of Agony", 980)
Watcher:addicon("Death Coil", 6789)
Watcher:addicon("Immolate", 348)
Watcher:addicon("Incinerate", 29722)
Watcher:addicon("Seed of Corruption", 27243)
Watcher:addicon("Shadow Bolt", 686)

-- talented spells and procs
Watcher:addicon("Aftermath", 18119)
Watcher:addicon("Backdraft", 47258)
Watcher:addicon("Shadow Embrace", 32385)
Watcher:addicon("Shadow Mastery", 17800) -- proc from ISB, not the affliction talent
Watcher:addicon("Shadowflame", 47897)
Watcher:addicon("Chaos Bolt", 50796)
Watcher:addicon("Conflagrate", 17962)
Watcher:addicon("Haunt", 48181)
Watcher:addicon("Metamorphosis", 59672)
Watcher:addicon("Soul Fire", 6353)
Watcher:addicon("Soul Link", 19028)
Watcher:addicon("Unstable Affliction", 30108)

-- glyphs
Watcher:addicon("Life Tap", 1454)
Watcher:addicon("Dark Pact", 18220)

-- armors
Watcher:addicon("Demon Armor", 706) --687
Watcher:addicon("Fel Armor", 28176) 

function Watcher:addClassSpells()
Watcher:newSpell(Spell:Apply("Shadow Mastery", "Shadow Bolt", 3, 0, false)) -- ISB proc)
Watcher:newSpell(Spell:Apply("Shadow Embrace", "Shadow Bolt", 3, 0, true)) -- afflic talent)
Watcher:newSpell(Spell:Debuff("Corruption"))
Watcher:newSpell(Spell:Debuff("Seed of Corruption"))
Watcher:newSpell(Spell:Debuff("Curse of Agony"))
Watcher:newSpell(Spell:Debuff("Immolate", 1.5))
Watcher:newSpell(Spell:Debuff("Unstable Affliction", 1.5))
Watcher:newSpell(Spell:Capitalize("Immolate", "Conflagrate"))
Watcher:newSpell(Spell:Capitalize("Immolate", "Incinerate"))
Watcher:newSpell(Spell:Direct("Haunt"))
Watcher:newSpell(Spell:Direct("Shadow Bolt"))
Watcher:newSpell(Spell:Direct("Shadowflame"))
Watcher:newSpell(Spell:Proc("Molten Core", "Incinerate"))
Watcher:newSpell(Spell:Proc("Molten Core", "Soul Fire"))
Watcher:newSpell(Spell:Proc("Shadow Trance", "Shadow Bolt"))
Watcher:newSpell(Spell:Proc("Backlash", "Shadow Bolt"))
Watcher:newSpell(Spell:Buff("Life Tap", "Life Tap"))
Watcher:newSpell(Spell:BuffPerm("Soul Link"))
end
